Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063317 - abrt-addon-upload-watch: /usr/sbin/abrt-upload-watch uses 100% CPU
Summary: abrt-addon-upload-watch: /usr/sbin/abrt-upload-watch uses 100% CPU
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: abrt
Version: 7.0
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Filak
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On: 1060020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 13:49 UTC by Jakub Filak
Modified: 2016-12-01 00:46 UTC (History)
10 users (show)

Fixed In Version: abrt-2.1.11-9.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1060020
Environment:
Last Closed: 2014-06-13 12:42:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch fixing this bug (deleted)
2014-02-10 14:30 UTC, Jakub Filak
no flags Details | Diff

Description Jakub Filak 2014-02-10 13:49:18 UTC
+++ This bug was initially created as a clone of Bug #1060020 +++

Description of problem:
I have enabled the service abrt-upload-watch.service to monitor the uploads folder for remote abrt reports and the process /usr/sbin/abrt-upload-watch uses 100% CPU always.

Version-Release number of selected component (if applicable):
abrt-addon-kerneloops-2.1.11-1.fc20.x86_64
abrt-desktop-2.1.11-1.fc20.x86_64
abrt-addon-python-2.1.11-1.fc20.x86_64
abrt-console-notification-2.1.11-1.fc20.x86_64
abrt-addon-vmcore-2.1.11-1.fc20.x86_64
abrt-python-2.1.11-1.fc20.x86_64
abrt-gui-libs-2.1.11-1.fc20.x86_64
abrt-libs-2.1.11-1.fc20.x86_64
abrt-retrace-client-2.1.11-1.fc20.x86_64
abrt-plugin-bodhi-2.1.11-1.fc20.x86_64
abrt-dbus-2.1.11-1.fc20.x86_64
abrt-2.1.11-1.fc20.x86_64
abrt-gui-2.1.11-1.fc20.x86_64
abrt-addon-xorg-2.1.11-1.fc20.x86_64
abrt-addon-pstoreoops-2.1.11-1.fc20.x86_64
abrt-cli-2.1.11-1.fc20.x86_64
abrt-addon-upload-watch-2.1.11-1.fc20.x86_64
abrt-addon-ccpp-2.1.11-1.fc20.x86_64
abrt-tui-2.1.11-1.fc20.x86_64
gnome-abrt-0.3.5-1.fc20.x86_64


How reproducible:
Always

Steps to Reproduce:
1. systemctl start abrt-upload-watch.service


Actual results:
100% CPU usage

Expected results:
Almost no CPU usage when idle

Additional info:

--- Additional comment from Jakub Filak on 2014-02-07 18:12:35 CET ---

Upstream commit c12b430997567f3d68ec8e7ba76674f20c27441b fixes this bug.

Comment 2 Jakub Filak 2014-02-10 14:30:35 UTC
Created attachment 861410 [details]
Patch fixing this bug

Comment 5 Ludek Smid 2014-06-13 12:42:27 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.